<?php

interface IFilesys {
	public function __construct(&$env); // param is global object - main app
	public function init();

	public function getDrivers();
	public function getDirs($path);
	public function getFiles($path);
	public function getFileInfo($path);
	public function isDir($path);
	public function ifFile($path);
	public function getWorkingPath($path);
	// todo: implementovat v modulech:
	//public function setWorkingPath($path);
	// o co de: kvuli automountum a takovejm vecem bychom meli delat chdir vzdy do toho
	//   adresare, ve kterem zrovna pracujeme
	public function cpy($path_dst, $path_real_src);
	public function move($path_dst, $path_real_src);
	public function del($path);
	public function makeDir($path);
	public function getSeparator();
}

?>
